<ion-content>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{ 'Merchant Check Out Page' | translate }}</ion-label>
    </ion-item>
  </ion-toolbar>
  <ion-grid>
    <ion-row>
      <ion-col>
        <ion-card class="ion-padding">
          <ion-card-header>
            <ion-card-title>{{ 'Order Details' | translate }}</ion-card-title>
          </ion-card-header>
          <ion-card-content>

            <form ngNoForm action={{paymentFormURL}} method="post">
              <ion-item>
                <ion-label position="floating">{{ 'ORDER_ID' | translate }}</ion-label>
                <ion-input name="ORDER_ID" type="text" value={{orderid}} [readonly]="true"></ion-input>
              </ion-item>
              <div style="color: red" *ngIf="form.get('ORDER_ID').hasError('required') && form.get('ORDER_ID').touched">
                {{ 'This field is required*' | translate }}</div>
              <ion-item>
                <ion-label position="floating">{{ 'CUST_ID' | translate }}</ion-label>
                <ion-input name="CUST_ID" type="text" value={{customerid}} [readonly]="true"></ion-input>
              </ion-item>
              <div style="color: red" *ngIf="form.get('CUST_ID').hasError('required') && form.get('CUST_ID').touched">
                {{ 'This field is required*' | translate }}</div>
              <ion-item>
                <ion-label position="floating">{{ 'TXN_AMOUNT' | translate }}</ion-label>
                <ion-input name="TXN_AMOUNT" type="text" value={{amount}} [readonly]="true"></ion-input>
              </ion-item>
              <div style="color: red"
                *ngIf="form.get('TXN_AMOUNT').hasError('required') && form.get('TXN_AMOUNT').touched">
                {{ 'This field is required*' | translate }}</div>

              <ion-item>
                <ion-label position="floating">{{ 'Email' | translate }}</ion-label>
                <ion-input name="EMAIL" type="text" value={{email}}></ion-input>
              </ion-item>
              <div style="color: red" *ngIf="form.get('EMAIL').hasError('required') && form.get('EMAIL').touched">
                {{ 'This field is required*' | translate }}</div>

              <ion-item>
                <ion-label position="floating">{{ 'MOBILE_NO' | translate }}</ion-label>
                <ion-input name="MOBILE_NO" type="text" value={{phone}}></ion-input>
              </ion-item>
              <div style="color: red" *ngIf="form.get('MOBILE_NO').hasError('required') && form.get('MOBILE_NO').touched">
               {{ 'This field is required*' | translate }}</div>

              <ion-button type="submit" expand="full" color="primary">{{ 'CheckOut' | translate }}</ion-button>
            </form>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>